#pragma once
#include "common.h"

// P2-specific config

#define P2_VIDEO_MODE MODE_VGA2X // MODE_HDMI is an option!
#define P2_VIDEO_SUBMODE 0
#define P2_VIDEO_BASE 24
#define P2_VIDEO_VSYNC 24+4

#define P2_USB_BASEPIN 16
#define P2_USB_ENABLE_OFFSET 1
#define P2_USB_DM_OFFSET 2

// For P2EDGE
#define P2_EXMEM_TYPE EXMEM_PSRAM16
#define P2_EXMEM_BASE 40
#define P2_EXMEM_CLK 56
#define P2_EXMEM_SELECT 57
#define P2_EXMEM_BANKS 1
#define P2_EXMEM_RWDS 0 // HyperRAM only
#define P2_EXMEM_RESET 0 // HyperRAM only

#define P2_EXMEM_DELAY 10
#define P2_EXMEM_SYNC_CLOCK true
#define P2_EXMEM_SLOW false
//*/

/*// For Rayslogic 96MB
#define P2_EXMEM_TYPE EXMEM_PSRAM8
#define P2_EXMEM_BASE 0
#define P2_EXMEM_CLK addpins(8,1)
#define P2_EXMEM_SELECT 10
#define P2_EXMEM_BANKS 6
#define P2_EXMEM_RWDS 0 // HyperRAM only
#define P2_EXMEM_RESET 0 // HyperRAM only

#define P2_EXMEM_DELAY 15
#define P2_EXMEM_SYNC_CLOCK true
#define P2_EXMEM_SLOW true
//*/


