#pragma once
// Letters:
#define    KEY_A          0x04
#define    KEY_B          0x05
#define    KEY_C          0x06
#define    KEY_D          0x07
#define    KEY_E          0x08
#define    KEY_F          0x09
#define    KEY_G          0x0a
#define    KEY_H          0x0b
#define    KEY_I          0x0c
#define    KEY_J          0x0d
#define    KEY_K          0x0e
#define    KEY_L          0x0f
#define    KEY_M          0x10
#define    KEY_N          0x11
#define    KEY_O          0x12
#define    KEY_P          0x13
#define    KEY_Q          0x14
#define    KEY_R          0x15
#define    KEY_S          0x16
#define    KEY_T          0x17
#define    KEY_U          0x18
#define    KEY_V          0x19
#define    KEY_W          0x1a
#define    KEY_X          0x1b
#define    KEY_Y          0x1c
#define    KEY_Z          0x1d
// Number Row:
#define    KEY_1          0x1e 
#define    KEY_2          0x1f 
#define    KEY_3          0x20 
#define    KEY_4          0x21 
#define    KEY_5          0x22 
#define    KEY_6          0x23 
#define    KEY_7          0x24 
#define    KEY_8          0x25 
#define    KEY_9          0x26 
#define    KEY_0          0x27 
// Keyboard return (ENTER), tab, space, etc.:
#define    KEY_ENTER      0x28
#define    KEY_ESC        0x29
#define    KEY_BACKSPACE  0x2a   // Delete (backspace)
#define    KEY_TAB        0x2b
#define    KEY_SPACE      0x2c
#define    KEY_MINUS      0x2d   // - and _
#define    KEY_EQUAL      0x2e   // = and +
#define    KEY_LBRACE     0x2f   // [ and {
#define    KEY_RBRACE     0x30   // ] and }
#define    KEY_BACKSLASH  0x31   // \ and |
#define    KEY_HASHTILDE  0x32   // None-US # and ~
#define    KEY_SEMICOLON  0x33   // ; and :
#define    KEY_APOST      0x34   // ' and "
#define    KEY_GRAVE      0x35   // ` and ~
#define    KEY_COMMA      0x36   // , and <
#define    KEY_DOT        0x37   // . and >
#define    KEY_SLASH      0x38   // / and ?
#define    KEY_CAPSLOCK   0x39
// Function key scancodes:
#define    KEY_F1         0x3a
#define    KEY_F2         0x3b
#define    KEY_F3         0x3c
#define    KEY_F4         0x3d
#define    KEY_F5         0x3e
#define    KEY_F6         0x3f
#define    KEY_F7         0x40
#define    KEY_F8         0x41
#define    KEY_F9         0x42
#define    KEY_F10        0x43
#define    KEY_F11        0x44
#define    KEY_F12        0x45
// Special, toggle and movement keys:
#define    KEY_PRINTSCREEN  0x46
#define    KEY_SCROLLLOCK   0x47
#define    KEY_PAUSE        0x48
#define    KEY_INSERT       0x49
#define    KEY_HOME         0x4a
#define    KEY_PAGEUP       0x4b
#define    KEY_DELETE       0x4c
#define    KEY_END          0x4d
#define    KEY_PAGEDOWN     0x4e
#define    KEY_RIGHT        0x4f
#define    KEY_LEFT         0x50
#define    KEY_DOWN         0x51
#define    KEY_UP           0x52
// Keypad keys:
#define    KEY_NUMLOCK    0x53
#define    KEY_NUMSLASH   0x54
#define    KEY_NUMASTER   0x55
#define    KEY_NUMMINUS   0x56
#define    KEY_NUMPLUS    0x57
#define    KEY_NUMENTER   0x58
#define    KEY_NUM1       0x59
#define    KEY_NUM2       0x5a
#define    KEY_NUM3       0x5b
#define    KEY_NUM4       0x5c
#define    KEY_NUM5       0x5d
#define    KEY_NUM6       0x5e
#define    KEY_NUM7       0x5f
#define    KEY_NUM8       0x60
#define    KEY_NUM9       0x61
#define    KEY_NUM0       0x62
#define    KEY_DOT_DEL    0x63
#define    KEY_NOUS_SP    0x64   // Non-US \ and |
#define    KEY_APP        0x65   // Application key
// Modifier keys:
#define    KEY_LCTRL      0xE0
#define    KEY_LSHIFT     0xE1
#define    KEY_LALT       0xE2
#define    KEY_LMETA      0xE3 // The left "Windows" key
#define    KEY_RCTRL      0xE4
#define    KEY_RSHIFT     0xE5
#define    KEY_RALT       0xE6
#define    KEY_RMETA      0xE7 // The right "Windows" key
