#pragma once
#include "common.h"

void HAL_startup();

void HAL_submit_frame(const void *frame);
void HAL_flip_buffers();
void HAL_poll_inputs();

bool HAL_keystate(int scancode);

uint32_t HAL_ex_size();
void HAL_ex_write(uint32_t dst,void *src,uint32_t len,bool async);
void HAL_ex_fill(uint32_t dst,int value,uint32_t len,bool async);
void HAL_ex_read(void *dst, uint32_t src,uint32_t len,bool async);
void HAL_ex_sync();




